<?php
/**
 * faith-blog Theme Customizer
 *
 * @package Faith Blog
 */
/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function faith_blog_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial(
			'blogname',
			array(
				'selector'        => '.site-title a',
				'render_callback' => 'faith_blog_customize_partial_blogname',
			)
		);
		$wp_customize->selective_refresh->add_partial(
			'blogdescription',
			array(
				'selector'        => '.site-description',
				'render_callback' => 'faith_blog_customize_partial_blogdescription',
			)
		);
	}
}
add_action( 'customize_register', 'faith_blog_customize_register' );
/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function faith_blog_customize_partial_blogname() {
	 bloginfo( 'name' );
}
/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function faith_blog_customize_partial_blogdescription() {
	bloginfo( 'description' );
}
/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function faith_blog_customize_preview_js() {
	wp_enqueue_script( 'faith-blog-customizer', esc_url(get_template_directory_uri()) . '/js/customizer.js', array( 'customize-preview' ), '20151215', true );
}
add_action( 'customize_preview_init', 'faith_blog_customize_preview_js' );


add_action('init', 'faith_blog_setup_kirki_for_settings');
function faith_blog_setup_kirki_for_settings(){

	Kirki::add_config( 'faith_blog_config', array(
		'capability'    => 'edit_theme_options',
		'option_type'   => 'theme_mod',
	) );

	Kirki::add_panel( 'faith_blog_global_panel', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Global Settings', 'faith-blog' ),
	) );

	require get_theme_file_path( 'inc/themeoptions/header-option.php' );
	require get_theme_file_path( 'inc/themeoptions/featured-option.php' );
	require get_theme_file_path( 'inc/themeoptions/blogpage-option.php' );
	require get_theme_file_path( 'inc/themeoptions/single-page.php' );
	require get_theme_file_path( 'inc/themeoptions/social-option.php' );
	require get_theme_file_path( 'inc/themeoptions/color-option.php' );
	require get_theme_file_path( 'inc/themeoptions/footer-option.php' );
	require get_theme_file_path( 'inc/themeoptions/typography-option.php' );

}